# PetscDataType

Used for handling different basic data types.

### Synopsis

    typedef enum {PETSC_INT = 0,PETSC_DOUBLE = 1,PETSC_COMPLEX = 2, PETSC_LONG = 3 ,PETSC_SHORT = 4,PETSC_FLOAT = 5,
                  PETSC_CHAR = 6,PETSC_LOGICAL = 7,PETSC_ENUM = 8,PETSC_TRUTH=9, PETSC_LONG_DOUBLE = 10} PetscDataType;

### See Also

PetscBinaryRead(), PetscBinaryWrite(), PetscDataTypeToMPIDataType(),
PetscDataTypeGetSize()

Level:beginner
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages